package cn.com.qmth.examcloud.app.model;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class CaptureInfo implements JsonSerializable {

    private static final long serialVersionUID = -7434669407796418900L;

    @ApiModelProperty(value = "考试记录ID")
    private Long examRecordDataId;

    @ApiModelProperty(value = "文件访问地址")
    private String fileUrl;

    @ApiModelProperty(value = "是否存在虚拟摄像头")
    private Boolean hasVirtualCamera;

    @ApiModelProperty(value = "摄像头信息，Json格式")
    private String cameraInfos;

    @ApiModelProperty(value = "其它信息，Json格式")
    private String extMsg;

    @ApiModelProperty("照片签名标识")
    private String signIdentifier;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Boolean getHasVirtualCamera() {
        return hasVirtualCamera;
    }

    public void setHasVirtualCamera(Boolean hasVirtualCamera) {
        this.hasVirtualCamera = hasVirtualCamera;
    }

    public String getCameraInfos() {
        return cameraInfos;
    }

    public void setCameraInfos(String cameraInfos) {
        this.cameraInfos = cameraInfos;
    }

    public String getExtMsg() {
        return extMsg;
    }

    public void setExtMsg(String extMsg) {
        this.extMsg = extMsg;
    }

    public String getSignIdentifier() {
        return signIdentifier;
    }

    public void setSignIdentifier(String signIdentifier) {
        this.signIdentifier = signIdentifier;
    }

}
